### org.jfree.layouting.renderer.model

# Class ComputedLayoutProperties

- `java.lang.Object`
- - `org.jfree.layouting.renderer.model.ComputedLayoutProperties`

Implemented Interfaces:
  Serializable

`public class ComputedLayoutProperties`
`extends java.lang.Object`
`implements Serializable`

Immutable version of the node-layout properties.

Author:
  Thomas Morgner

  ## Constructor Summary

  `ComputedLayoutProperties()`

  ## Method Summary

  `RenderLength`

  `getBlockContextWidth()`

  `long`

  `getBorderBottom()`

  `long`

  `getBorderLeft()`

  `long`

  `getBorderRight()`

  `long`

  `getBorderTop()`

  `RenderLength`

  `getComputedWidth()`

  `long`

  `getMarginBottom()`

  `long`

  `getMarginLeft()`

  `long`

  `getMarginRight()`

  `long`

  `getMarginTop()`

  `long`

  `getPaddingBottom()`

  `long`

  `getPaddingLeft()`

  `long`

  `getPaddingRight()`

  `long`

  `getPaddingTop()`

  `void`

  `setBlockContextWidth(RenderLength blockContextWidth)`

  `void`

  `setBorderBottom(long borderBottom)`

  `void`

  `setBorderLeft(long borderLeft)`

  `void`

  `setBorderRight(long borderRight)`

  `void`

  `setBorderTop(long borderTop)`

  `void`

  `setComputedWidth(RenderLength computedWidth)`

  `void`

  `setMarginBottom(long marginBottom)`

  `void`

  `setMarginLeft(long marginLeft)`

  `void`

  `setMarginRight(long marginRight)`

  `void`

  `setMarginTop(long marginTop)`

  `void`

  `setPaddingBottom(long paddingBottom)`

  `void`

  `setPaddingLeft(long paddingLeft)`

  `void`

  `setPaddingRight(long paddingRight)`

  `void`

  `setPaddingTop(long paddingTop)`

  `String`

  `toString()`

## Constructor Details

### ComputedLayoutProperties

    public ComputedLayoutProperties()

## Method Details

### getBlockContextWidth

    public RenderLength getBlockContextWidth()

### getBorderBottom

    public long getBorderBottom()

### getBorderLeft

    public long getBorderLeft()

### getBorderRight

    public long getBorderRight()

### getBorderTop

    public long getBorderTop()

### getComputedWidth

    public RenderLength getComputedWidth()

### getMarginBottom

    public long getMarginBottom()

### getMarginLeft

    public long getMarginLeft()

### getMarginRight

    public long getMarginRight()

### getMarginTop

    public long getMarginTop()

### getPaddingBottom

    public long getPaddingBottom()

### getPaddingLeft

    public long getPaddingLeft()

### getPaddingRight

    public long getPaddingRight()

### getPaddingTop

    public long getPaddingTop()

### setBlockContextWidth

    public void setBlockContextWidth(RenderLength blockContextWidth)

### setBorderBottom

    public void setBorderBottom(long borderBottom)

### setBorderLeft

    public void setBorderLeft(long borderLeft)

### setBorderRight

    public void setBorderRight(long borderRight)

### setBorderTop

    public void setBorderTop(long borderTop)

### setComputedWidth

    public void setComputedWidth(RenderLength computedWidth)

### setMarginBottom

    public void setMarginBottom(long marginBottom)

### setMarginLeft

    public void setMarginLeft(long marginLeft)

### setMarginRight

    public void setMarginRight(long marginRight)

### setMarginTop

    public void setMarginTop(long marginTop)

### setPaddingBottom

    public void setPaddingBottom(long paddingBottom)

### setPaddingLeft

    public void setPaddingLeft(long paddingLeft)

### setPaddingRight

    public void setPaddingRight(long paddingRight)

### setPaddingTop

    public void setPaddingTop(long paddingTop)

### toString

    public String toString()